Lists projects.
HTTP request
GET https://mmmdata.googleapis.com/v0/{parent=accounts/*}/projects
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of projects. Format: |
Query parameters
| Parameters | |
|---|---|
filter |
Optional. An optional filter string for the caller to specify which pojects to include. String must be formatted in EBNF grammar as shown in https://aip.dev/160. The following fields are supported: - |
orderBy |
Optional. An optional sort order for the results. Syntax is defined by https://aip.dev/132#ordering (e.g. "displayName desc" or "caseId asc"). Allows sorting by multiple fields if needed. Redundant whitespace is ignored, field names are case-sensitive, but sort direction is not (asc vs ASC). For each field specified, sort direction is optional (i.e. displayName is identical to displayName asc). If no sort order is specified, the default is by recency (createTime desc). The following fields are supported: - |
pageSize |
Optional. The maximum number of projects to return. The service may return fewer than this value. If unspecified, at most 10 projects will be returned. The maximum value is 50; values above 50 will be coerced to 50. |
pageToken |
Optional. A page token, received from a previous |
Request body
The request body must be empty.
Response body
Response message for ProjectService.ListProjects.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"projects": [
{
object ( |
| Fields | |
|---|---|
projects[] |
The projects matching the request. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/mmm_datahttps://www.googleapis.com/auth/mmm_data.readonly
For more information, see the OAuth 2.0 Overview.